Skip to main content
GET
/
orgs
/
{org_id}
/
iam
/
users
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/iam/users \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.timbal.ai/orgs/{org_id}/iam/users"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.timbal.ai/orgs/{org_id}/iam/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "org_users": [
    {
      "email": "<string>",
      "pending": true,
      "role": "<string>",
      "roles": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "name": "<string>",
          "updated_at": "2023-11-07T05:31:56Z",
          "description": "<string>"
        }
      ],
      "id": "<string>",
      "name": "<string>",
      "photo_url": "<string>"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required

Query Parameters

q
string | null

Optional case-insensitive substring filter on user name or email.

page_token
string | null

Page token for pagination. Pass back the next_page_token from the previous response.

Response

Organization members

org_users
object[]
required

List of users in the organization

next_page_token
string | null

Token to fetch the next page, or null if this is the last page